Page MenuHomeFreeBSD

Update /etc/passwd after password db changes
ClosedPublic

Authored by aryeeteygerald_rogers.com on Jan 11 2019, 10:24 PM.

Details

Summary

Add -p to pwd_mkdb in order to ensure password db
changes are also included in /etc/passwd.

PR: 165954, 232921, +

Test Plan

None

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

emaste added a subscriber: bcran.Jan 17 2019, 7:20 PM
emaste added inline comments.Jan 17 2019, 7:23 PM
usr.sbin/freebsd-update/freebsd-update.sh
2899 ↗(On Diff #52787)

This comment is out of date now - maybe just "Rebuild generated pwd files."

  • Update outdated comment
jilles accepted this revision.Jan 18 2019, 2:36 PM
jilles added a subscriber: jilles.

I wonder when it is appropriate to run pwd_mkdb without -p. Only when etc/passwd is considered legacy and needs to be omitted from the system?

This revision is now accepted and ready to land.Jan 18 2019, 2:36 PM
aryeeteygerald_rogers.com marked an inline comment as done.Jan 18 2019, 5:00 PM
This revision was automatically updated to reflect the committed changes.